{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "active?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "active",
      "defaultValue" : "0",
      "externalType" : "int",
      "internalInfo" : {
        "_nameInObjectStore" : "createOnAddForOpportunity"
      },
      "name" : "active",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "create_on_add_for_contact?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "N"
      },
      "columnName" : "createOnAddForContact",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "createOnAddForContact",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "create_on_add_for_group?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "N"
      },
      "columnName" : "createOnAddForGroup",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "createOnAddForGroup",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "create_on_add_for_opportunity?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "N"
      },
      "columnName" : "createOnAddForOpportunity",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "createOnAddForOpportunity",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "create_on_add_for_organization?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "N"
      },
      "columnName" : "createOnAddForOrganization",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "createOnAddForOrganization",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "createOnAddForCompany"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "create_on_add_for_project?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "N"
      },
      "columnName" : "createOnAddForProject",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "createOnAddForProject",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "customRecordSetDefinitionID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "details",
      "externalType" : "char",
      "name" : "details",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "encodedColor",
      "externalType" : "char",
      "name" : "encodedColor",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "valueType" : "i",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "for_contact?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forContact",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forContact",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "for_group?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forGroup",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forGroup",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "for_opportunity?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forOpportunity",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forOpportunity",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "for_organization?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forOrganization",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forOrganization",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForOrganization"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "for_project?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forProject",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forProject",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "is_custom?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "isCustom",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isCustom",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "is_unique_per_object?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "isUniquePerObject",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "isUniquePerObject",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "name",
      "externalType" : "char",
      "name" : "name",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "ordering",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "order",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "for_task?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forTask",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forTask",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "for_timeblock?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forTimeblock",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forTimeblock",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "for_note?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forNote",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forNote",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "for_email?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forEmail",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forEmail",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "kind",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "kind",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "webFormBehaviorCode",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "webFormBehaviorCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "webFormAssignToID",
      "externalType" : "longlong",
      "name" : "webFormAssignToID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "webFormContactGatheringCode",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "webFormContactGatheringCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "webFormCreatesReminder",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "webFormCreatesReminder",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "web_form_fscript",
        "includeInResource" : "Y"
      },
      "columnName" : "webFormFScript",
      "externalType" : "char",
      "name" : "webFormFScript",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "webFormAlternativeIdentifier",
      "externalType" : "char",
      "name" : "webFormAlternativeIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "webFormCompletionCode",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "webFormCompletionCode",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "webFormCompletionMessage",
      "externalType" : "char",
      "name" : "webFormCompletionMessage",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWCustomRecordSetDefinition",
  "classProperties" : [
    "active",
    "createDate",
    "createOnAddForContact",
    "createOnAddForGroup",
    "createOnAddForOpportunity",
    "createOnAddForOrganization",
    "createOnAddForProject",
    "customRecordSetDefinitionID",
    "details",
    "encodedColor",
    "forContact",
    "forGroup",
    "forOpportunity",
    "forOrganization",
    "forProject",
    "isCustom",
    "isUniquePerObject",
    "name",
    "order",
    "forTask",
    "forTimeblock",
    "forNote",
    "forEmail",
    "kind",
    "webFormBehaviorCode",
    "webFormAssignToID",
    "webFormContactGatheringCode",
    "webFormCreatesReminder",
    "webFormFScript",
    "webFormAlternativeIdentifier",
    "webFormCompletionCode",
    "webFormCompletionMessage",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "customRecordDefinitions",
    "customRecordSets",
    "webFormAssignTo"
  ],
  "domain" : "Forms",
  "externalName" : "CustomRecordSetDefinition",
  "fetchSpecificationDictionary" : {

  },
  "fullTextSearchIndices" : [
    {
      "attributeNames" : [
        "name"
      ],
      "name" : "name"
    }
  ],
  "isDatabasePreference" : true,
  "isTrashable" : true,
  "name" : "CustomRecordSetDefinition",
  "primaryKeyAttributes" : [
    "customRecordSetDefinitionID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y"
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "CustomRecordDefinition",
      "destinationAttributeNameForOrdering" : "order",
      "isOrdered" : "Y",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "customRecordSetDefinitionID",
          "sourceAttribute" : "customRecordSetDefinitionID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordDefinitions",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "CustomRecordSet",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "customRecordSetDefinitionID",
          "sourceAttribute" : "customRecordSetDefinitionID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordSets",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "destination" : "User",
      "isToMany" : "N",
      "joins" : [
        {
          "destinationAttribute" : "userID",
          "sourceAttribute" : "webFormAssignToID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "webFormAssignTo",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportedPlatforms" : "MCPSupportedPlatformsAll",
  "supportsPermissions" : false,
  "uniqueIdentifier" : "21"
}